---
title: Updating plug-ins for Firefox 3.6
slug: Mozilla/Firefox/Releases/3.6/Updating_plug-ins
tags:
  - Add-ons
  - Firefox
  - Firefox 3.6
  - Gecko 1.9.2
  - Plugins
---
<div>{{FirefoxSidebar}}</div><p>{{ gecko_minversion_header("1.9.2") }}</p>
<p>Several changes were made in Gecko 1.9.2 that may impact plug-in developers in particular. This article provides a list of those changes.</p>
<h2 id="Interface_changes">Interface changes</h2>
<p>The {{ interface("nsIPluginInstance") }} method <code>destroy()</code> has been removed, since it wasn't doing anything anyway.</p><h2 id="Mac_OS_X_specific_changes">Mac OS X specific changes</h2>
<h3 id="CFM_plug-ins_no_longer_supported">CFM plug-ins no longer supported</h3>
<p>Starting with Gecko 1.9.2, old-style CFM (Code Fragment Manager) binaries are no longer supported for plug-ins. CFM plug-ins have been deprecated since August, 2008.</p>
<h3 id="main()_no_longer_a_supported_entry_point">main() no longer a supported entry point</h3>
<p>In August, 2008, plug-in developers were informed that <code>main()</code> would no longer be supported as an entry point. This change has taken effect in Gecko 1.9.2. Plug-ins need to be updated to use <code>NPN_GetEntryPoints()</code> instead.</p>
<h2 id="See_also">See also</h2>
<ul> <li><a class="internal" href="/en/Firefox_3.6_for_developers" title="en/Firefox 3.6 for developers">Firefox 3.6 for developers</a></li>
</ul>
